Summary:	A challenging 2D motocross platform game
Name:		xmoto
Version:	0.5.11
Release:	%mkrel 6
License:	GPLv2+
Group:		Games/Arcade
Url:		http://xmoto.sourceforge.net/
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/%{name}-%{version}-src.tar.gz
Source1:	%{name}.png
BuildRequires:	mesaglu-devel
BuildRequires:	ode-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_net-devel
BuildRequires:	curl-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	lua5.1-devel
BuildRequires:	sqlite3-devel
BuildRequires:	bison
BuildRequires:	xdg-basedir-devel
BuildRequires:	libxml2-devel
# Use fonts-ttf-dejavu package rather than included fonts
Requires:	fonts-ttf-dejavu

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.
First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%prep
%setup -q

#use system ode
rm -rf src/ode
ln -s %{_includedir}/ode src/ode

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-localesdir=%{_datadir}/locale \
	--disable-rpath \
	--enable-threads=pth \
	--with-renderer-openGl=1 \
	--with-unoptimized=0
%make

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=X-Moto
Comment=Motocross platform game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

# Remove included DejaVu fonts and replace with symlinks to fonts-ttf-dejavu packaged fonts  
rm -f %{buildroot}%{_datadir}/games/xmoto/Textures/Fonts/DejaVu*
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/games/xmoto/Textures/Fonts/DejaVuSans.ttf 
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSansMono.ttf %{buildroot}%{_datadir}/games/xmoto/Textures/Fonts/DejaVuSansMono.ttf 

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*


%changelog
* Sun Nov 13 2016 akien <akien> 0.5.11-6.mga6
+ Revision: 1066991
- Rebuild for new libode

* Tue Feb 09 2016 umeabot <umeabot> 0.5.11-5.mga6
+ Revision: 951387
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 0.5.11-4.mga5
+ Revision: 806577
- Use system ODE instead of bundled one

* Wed Oct 15 2014 umeabot <umeabot> 0.5.11-3.mga5
+ Revision: 747017
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - switch back to lua-5.1

* Sun Jun 29 2014 tv <tv> 0.5.11-2.mga5
+ Revision: 641017
- rebuild with lua-5.2

* Wed Apr 02 2014 dams <dams> 0.5.11-1.mga5
+ Revision: 611325
- new version 0.5.11

* Sat Oct 19 2013 umeabot <umeabot> 0.5.10-7.mga4
+ Revision: 533599
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.5.10-6.mga4
+ Revision: 474060
- rebuild for new ode

* Mon Jun 03 2013 fwang <fwang> 0.5.10-5.mga4
+ Revision: 436270
- rebuild for new libpng

* Wed Mar 13 2013 barjac <barjac> 0.5.10-4.mga3
+ Revision: 402728
- Require fonts-ttf-dejavu for fonts
- remove DejaVu fonts from package
- symlink to fonts-ttf-dejavu fonts

* Mon Jan 14 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 387222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 dams <dams> 0.5.10-2.mga3
+ Revision: 266992
- add a patch to fix build with gcc47 (thanks to rtp)
- really fix icon size and clean specfile

* Tue Jun 26 2012 dams <dams> 0.5.10-1.mga3
+ Revision: 263951
- new version 0.5.10
- remove uneeded patch
- update icon size to have a better GNOME3 experience

* Sun Nov 13 2011 dams <dams> 0.5.9-1.mga2
+ Revision: 167348
- update BR add 'libxml2'
- new version 0.5.9

* Thu Sep 15 2011 fwang <fwang> 0.5.7-1.mga2
+ Revision: 144044
- fix build with latest png

* Mon Apr 11 2011 dams <dams> 0.5.7-1.mga1
+ Revision: 83184
- Update to 0.5.7

* Thu Apr 07 2011 dams <dams> 0.5.6-1.mga1
+ Revision: 81684
- Update to 0.5.6

* Wed Mar 23 2011 dams <dams> 0.5.5-2.mga1
+ Revision: 75902
- Fix new icon

* Wed Mar 23 2011 dams <dams> 0.5.5-1.mga1
+ Revision: 75895
- New version 0.5.5 and change icone

* Thu Jan 20 2011 blino <blino> 0.5.3-3.mga1
+ Revision: 25186
- use real vendor instead of hardcoded name
- imported package xmoto

